Bug 1563931 - CVE-2018-9234 gnupg2: GnuPG: Unenforced configuration allows for apparently valid certifications actually signed by signing subkeys [fedora-all]
CVE-2018-9234 gnupg2: GnuPG: Unenforced configuration allows for apparently v...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
27
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Crypto Team
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-9234
  Show dependency treegraph
 
Reported: 2018-04-05 01:19 EDT by Sam Fowler
Modified: 2018-04-17 21:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnupg2-2.2.6-1.fc28 gnupg2-2.2.6-1.fc27 gnupg2-2.2.6-1.fc26
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-14 22:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Fowler 2018-04-05 01:19:47 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Sam Fowler 2018-04-05 01:19:49 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1563930,1563931

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2018-04-11 10:09:34 EDT
gnupg2-2.2.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-da6a17e6a3
Comment 3 Fedora Update System 2018-04-11 10:09:49 EDT
gnupg2-2.2.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3fc05e009d
Comment 4 Fedora Update System 2018-04-11 10:10:00 EDT
gnupg2-2.2.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-42a426b17e
Comment 5 Fedora Update System 2018-04-11 18:04:46 EDT
gnupg2-2.2.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-42a426b17e
Comment 6 Fedora Update System 2018-04-11 18:40:10 EDT
gnupg2-2.2.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3fc05e009d
Comment 7 Fedora Update System 2018-04-11 18:59:31 EDT
gnupg2-2.2.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-da6a17e6a3
Comment 8 Fedora Update System 2018-04-14 22:39:55 EDT
gnupg2-2.2.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2018-04-15 10:45:41 EDT
gnupg2-2.2.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2018-04-17 21:03:49 EDT
gnupg2-2.2.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.